package com.ruoyi.project.patrol.dev.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 检测仪对象 t_dev_tester
 *
 * @author admin
 * @date 2023-11-03
 */
public class TDevTester extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 检测仪类型 */
    @Excel(name = "检测仪类型")
    private String testerType;

    /** 型号 */
    @Excel(name = "型号")
    private String testerModel;

    /** 编号 */
    @Excel(name = "编号")
    private String testerNo;

    /** 状态 */
    @Excel(name = "状态",readConverterExp = "1=在用,2=维修,3=停用")
    private String status;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识0未删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 设备类型 */
    private String patrolType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTesterType(String testerType)
    {
        this.testerType = testerType;
    }

    public String getTesterType()
    {
        return testerType;
    }
    public void setTesterModel(String testerModel)
    {
        this.testerModel = testerModel;
    }

    public String getTesterModel()
    {
        return testerModel;
    }
    public void setTesterNo(String testerNo)
    {
        this.testerNo = testerNo;
    }

    public String getTesterNo()
    {
        return testerNo;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPatrolType(String patrolType)
    {
        this.patrolType = patrolType;
    }

    public String getPatrolType()
    {
        return patrolType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("testerType", getTesterType())
            .append("testerModel", getTesterModel())
            .append("testerNo", getTesterNo())
            .append("status", getStatus())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("patrolType", getPatrolType())
            .toString();
    }
}
